/*
 * RAV API
 * RAV API
 *
 * OpenAPI spec version: 1.0.0-oas3
 * Contact: name@mail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.rav.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
/**
 * ControlResponse
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-06T19:10:49.373Z[GMT]")
public class ControlResponse {
  @SerializedName("expID")
  private String expID = null;

  @SerializedName("status")
  private String status = null;

  public ControlResponse expID(String expID) {
    this.expID = expID;
    return this;
  }

   /**
   * Get expID
   * @return expID
  **/
  public String getExpID() {
    return expID;
  }

  public void setExpID(String expID) {
    this.expID = expID;
  }

  public ControlResponse status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Get status
   * @return status
  **/
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ControlResponse controlResponse = (ControlResponse) o;
    return Objects.equals(this.expID, controlResponse.expID) &&
        Objects.equals(this.status, controlResponse.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(expID, status);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ControlResponse {\n");
    
    sb.append("    expID: ").append(toIndentedString(expID)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
